RVM, irb, readline and Ubuntu

It's as easy as:

sudo apt-get install libreadline-gplv2-dev
rvm remove ruby-1.9.3-p194
rvm install ruby-1.9.3-p194

Done.

Notes:

  1. Do not use rvm pkg install readline.
  2. "1.9.3-p194" is an example, should work with most versions.

Published on in Ruby, Linux